Bug 118611 - user() in core/sql/postgres/drop-all.sql
user() in core/sql/postgres/drop-all.sql
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-18 05:03 EST by Carsten Clasohm
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 05:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2004-03-18 05:03:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
With PostgreSQL 7.3.4, running the script
core/sql/postgres/drop-all.sql gives the following error:

parse error at or near "(" at character 21

That is because "user" is not a function. Changing the last line from

  select drop_all(user());

to

  select drop_all(user);

fixes this.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new PostgreSQL database and create language plpgsql.
2. \i core/sql/postgres/drop-all.sql
3. You will get the error: parse error at or near "(" at character 21


Actual Results:  Nothing is dropped.


Additional info:
Comment 1 Carsten Clasohm 2006-07-12 05:09:27 EDT
Closing old tickets.

Note You need to log in before you can comment on or make changes to this bug.